🇵🇪

RREE - Carné de Extranjería

live

Foreigner identity card lookup from Peru's Ministry of Foreign Affairs.

POST /api/v1/rree

Try it live

API Reference

Request

curl -X POST https://api.usecroma.com/api/v1/rree \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer sk_live_YOUR_API_KEY" \
  -d '{"numero_carne": "00112233"}'

Response

{
  "success": true,
  "data": {
    "numero_carne": "00112233",
    "fecha_nacimiento": "01/01/1990",
    "apellidos": "GARCIA LOPEZ",
    "nombres": "JUAN CARLOS",
    "nacionalidad": "COLOMBIANA",
    "fecha_vencimiento_residencia": "31/12/2027",
    "calidad_migratoria": "RESIDENTE"
  }
}

Ready to integrate?

Get your API key and start querying foreigner identity card data in minutes. Reliable, fast, and built for production.

Request API access